<?php
Doo::loadCore ( 'db/DooModel' );
class receipt_cld extends DooModel {
	public $rid;
	public $accountItem;
	public $loanItem;
	public $staff;
	public $sum;
	public $date;
	public $pastDate;
	public $executeDate;
	public $loanDate;
	public $cid;
	public $status;
	public $Rtype;
	public $isBK;
	public $loanSum;
	public $loanRid;
	public $reviseDetail;
	public $revisePrice;
	public $receiptOrder;
	public $verify;
	public $verifyStaff;
	public $executeCopy;
	public $executeStaff;
	public $verifyBreakup;
	public $nowStaff;
	public $explanation;
	public $implementOpinions;
	public $notice;
	public $amount;
	public $remittanceName;
	public $bankName;
	public $bankNumber;
	public $coupletNumber;
	public $remittanceBankType;
	public $trainId;
	public $trainLoanRid;
	public $invoiceTrainId;
	public $paidStatus;
	public $statusTrain;
	public $receiptClass;
	public $itinerary;
	public $itinerary2;
	
	public $officeJson;
	public $traveJson;
	public $trainJson;
	public $version; 
	
	public $iti2New;

	public $_table = 'CLD_receipt';
	public $_primarykey = 'rid';
	public $_fields = array (
			'rid',
			'accountItem',
			'staff',
			'sum',
			'date',
			'pastDate',
			'cid',
			'status',
			'reviseDetail',
			'revisePrice',
			'verify',
			'verifyStaff',
			'nowStaff',
			'receiptOrder',
			'explanation',
			'notice',
			'Rtype',
			'loanItem',
			'loanRid',
			'loanSum',
			'implementOpinions',
			'isBK',
			'executeCopy',
			'executeStaff',
			'verifyBreakup',
			'executeDate',
			'amount',
			'loanDate',
			'remittanceName',
			'bankName',
			'bankNumber',
			'coupletNumber',
			'remittanceBankType',
			'trainId',
			'trainLoanRid',
			'invoiceTrainId' ,
            'paidStatus',
			'statusTrain',
			'receiptClass',
			'itinerary',
			'itinerary2',
			
			'officeJson',
			'traveJson',
			'trainJson',
			"version",
	);

	//费用分页
	public function GetPage($data=array()){
		
		$startYear=$data['year']."-01-01:00.00.00";
		$endYear=$data['year']."-12-31:23.59.59";
		if(!empty($data['month'])){
			$startYear=$data['year']."-".$data['month']."-01:00.00.00";
			$endYear=$data['year']."-".$data['month']."-31:23.59.59";
		}
		$sql=" ((date>=? and date<= ?) or (pastDate>=? and pastDate<= ?) or (executeDate>=? and executeDate<= ?))  ";
		$param=array($startYear,$endYear,$startYear,$endYear,$startYear,$endYear);
		
		if(!empty($data['staffId'])){
			$sql.=" and staff=? ";
			array_push($param, $data['staffId']);
		}else{
			if(!empty($data['categoryId'])){
				$sql.=" and cid=? ";
				array_push($param, $data['categoryId']);
			}
		}
		
		if(!empty($data['feeType'])){
			$sql.=" and Rtype=? ";
			array_push($param, $data['feeType']);
		}
		
		if(!empty($data['kw'])){
			$sql.=" and (receiptOrder like ? or sum like ? ) ";
			array_push($param, "%".$data['kw']."%");
			array_push($param, "%".$data['kw']."%");
		}
		
		//获得数据
		$list = $this->find ( array (
					'select'=>' rid,date,pastDate,executeDate,loanDate,Rtype,receiptOrder,sum,cid,staff,receiptOrder,status,explanation,accountItem,version,officeJson,
					    traveJson,trainJson	',
					'where' => $sql,
					'param' =>$param,
					'desc' => 'rid',
					'limit'=>$data['cPage'].','.$data['pSize'],
					'asArray' => TRUE
			));
	
		
	
		$count=$this->count(array (
					'where' => $sql,
					'param' =>$param,
					'asArray' => TRUE
			));
		
		return array("count"=>$count,"list"=>$list);
	}
	
	public  function Get($id){
		$detail = $this->getOne ( array (
				'where' => "rid= ? ",
				'param' => array (
						$id
				),
				'asArray' => TRUE
		) );
		
		
		
		return $detail;
	}
   
}

?>