<?php
Doo::loadCore ( 'db/DooModel' );
class region_cld extends DooModel {
	private $id;
	private $name;
	private $level;
	private $usetype;
	private $upid;
	private $displayorder;
	private $area;
	public $_table = 'CLD_district';
	public $_primarykey = 'id';
	public $_fields = array (
			'id',
			'name',
			'level',
			'usetype',
			'upid',
			'displayorder',
			'area' 
	);
	
	// 获得前2层区域-树
	public function GetLeveTwoTree() {
		$list = $this->find ( array (
				'where' => "level <= ? ",
				'param' => array (
						2 
				),
				'asArray' => TRUE 
		) );
		
		$region = array ();
		foreach ( $list as $key => $value ) {
			if ($value ["level"] == 1) {
				array_push ( $region, array (
						"name" => $value ['name'],
						"id"=>$value ['id'],
						"child" => array () 
				) );
				unset ( $list [$key] );
			}
		}
		foreach ( $region as $k => $v ) {
			foreach ( $list as $value ) {
				if ($value ["level"] == 2) {
					if ($v ['id'] == $value ['upid']) {
						array_push ( $region [$k] ['child'], array (
								"name" => $value ['name'] 
						) );
					}
				}
			}
		}
		
		return $region;
	}
}

?>