<?php

Doo::loadCore('db/DooModel');

class verify_cld extends DooModel {

	private  $vid;
	private $description;
	private $staff;
	private $subordinate;

	public $_table = 'CLD_verify';
	public $_primarykey = 'vid';

	public $_fields = array('vid', 'description', 'staff','subordinate');
	
	//获得所有审批组
	public function GetAll(){
		Doo::loadModel ( "role" );
		$role = new role ();
		Doo::loadClass ( 'XDeode' );
		$XDeode = new XDeode ( 9 );
		$veList = $this->find ( array (
				'asArray' => true
		) );
		foreach ( $veList as $key => $value ) {
			
			$veList[$key] ['vid']=$XDeode->encode($value ['vid']);
			
			$v = json_decode ( $value ['staff'] );
			$list = array ();
			foreach ( $v as $n => $m ) {
				if ($m ['1'] == 'ROLE') {
					$roleInfo = $role->getOne ( array (
							'where' => 'rid=' . $m [0],
							'asArray' => true
					) );
					$v [$n] [1] = $roleInfo ['name'];
					array_push ( $list, $roleInfo ['name'] );
				} else {
					array_push ( $list, $v [$n] [1] );
				}
			}
			$veList [$key] ['staff'] = implode ( '>', $list );
		}
		return $veList;
	}
	
	function getVerifyBySubordinate($subordinate='',$subordinate2=''){
		if (empty($subordinate)){
			return array();
		}
		$con='subordinate like "%'.$subordinate.'%"';
		if (!empty($subordinate2)){
			$con='subordinate like "%'.$subordinate.'%" or subordinate like "%'.$subordinate2.'%"';
		}
		$veList = $this->find ( array (
				'where'=>$con,
				'asArray' => true
		) );
		Doo::loadModel ( "role" );
		$role = new role ();
		Doo::loadClass ( 'XDeode' );
		$XDeode = new XDeode ( 9 );
		foreach ( $veList as $key => $value ) {
			
			$veList[$key] ['vid']=$XDeode->encode($value ['vid']);
			
			$v = json_decode ( $value ['staff'] );
			$list = array ();
			foreach ( $v as $n => $m ) {
				if ($m ['1'] == 'ROLE') {
					$roleInfo = $role->getOne ( array (
							'where' => 'rid=' . $m [0],
							'asArray' => true
					) );
					$v [$n] [1] = $roleInfo ['name'];
					array_push ( $list, $roleInfo ['name'] );
				} else {
					array_push ( $list, $v [$n] [1] );
				}
			}
			$veList [$key] ['staff'] = implode ( '>', $list );
		}
		return $veList;
	}
}

?>